Bug 1123107 - [abrt] openscad: position(): openscad killed by SIGSEGV
Summary: [abrt] openscad: position(): openscad killed by SIGSEGV
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openscad
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ecbff31cfbb86ce888af53b8ff4...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-24 21:30 UTC by Richard Marko
Modified: 2016-02-01 02:23 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-29 10:46:24 UTC


Attachments (Terms of Use)
File: backtrace (40.54 KB, text/plain)
2014-07-24 21:30 UTC, Richard Marko
no flags Details
File: cgroup (172 bytes, text/plain)
2014-07-24 21:30 UTC, Richard Marko
no flags Details
File: core_backtrace (2.47 KB, text/plain)
2014-07-24 21:30 UTC, Richard Marko
no flags Details
File: dso_list (10.75 KB, text/plain)
2014-07-24 21:30 UTC, Richard Marko
no flags Details
File: environ (2.81 KB, text/plain)
2014-07-24 21:30 UTC, Richard Marko
no flags Details
File: exploitable (82 bytes, text/plain)
2014-07-24 21:30 UTC, Richard Marko
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-24 21:30 UTC, Richard Marko
no flags Details
File: maps (58.24 KB, text/plain)
2014-07-24 21:30 UTC, Richard Marko
no flags Details
File: open_fds (543 bytes, text/plain)
2014-07-24 21:30 UTC, Richard Marko
no flags Details
File: proc_pid_status (956 bytes, text/plain)
2014-07-24 21:30 UTC, Richard Marko
no flags Details
File: var_log_messages (346 bytes, text/plain)
2014-07-24 21:30 UTC, Richard Marko
no flags Details

Description Richard Marko 2014-07-24 21:30:39 UTC
Description of problem:
I just finished the reporting :)

Version-Release number of selected component:
openscad-2014.03-1.fc20

Additional info:
reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        openscad
crash_function: position
executable:     /usr/bin/openscad
kernel:         3.13.4-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 position at ../../src/gui/text/qfragmentmap_p.h:125
 #2 QTextBlock::position at text/qtextobject.cpp:1016
 #3 QTextCursor::QTextCursor at text/qtextcursor.cpp:1089
 #4 QSyntaxHighlighter::rehighlightBlock at text/qsyntaxhighlighter.cpp:418
 #5 QMetaObject::activate at kernel/qobject.cpp:3547
 #6 MainWindow::unhighlightLastError at objects/moc_MainWindow.cpp:317
 #7 MainWindow::compile at src/mainwin.cc:707
 #8 MainWindow::actionRenderCSG at src/mainwin.cc:1413
 #9 MainWindow::qt_static_metacall at objects/moc_MainWindow.cpp:203
 #10 QMetaObject::activate at kernel/qobject.cpp:3547

Comment 1 Richard Marko 2014-07-24 21:30:43 UTC
Created attachment 920736 [details]
File: backtrace

Comment 2 Richard Marko 2014-07-24 21:30:44 UTC
Created attachment 920737 [details]
File: cgroup

Comment 3 Richard Marko 2014-07-24 21:30:46 UTC
Created attachment 920738 [details]
File: core_backtrace

Comment 4 Richard Marko 2014-07-24 21:30:48 UTC
Created attachment 920740 [details]
File: dso_list

Comment 5 Richard Marko 2014-07-24 21:30:49 UTC
Created attachment 920741 [details]
File: environ

Comment 6 Richard Marko 2014-07-24 21:30:50 UTC
Created attachment 920742 [details]
File: exploitable

Comment 7 Richard Marko 2014-07-24 21:30:52 UTC
Created attachment 920743 [details]
File: limits

Comment 8 Richard Marko 2014-07-24 21:30:54 UTC
Created attachment 920744 [details]
File: maps

Comment 9 Richard Marko 2014-07-24 21:30:55 UTC
Created attachment 920745 [details]
File: open_fds

Comment 10 Richard Marko 2014-07-24 21:30:56 UTC
Created attachment 920746 [details]
File: proc_pid_status

Comment 11 Richard Marko 2014-07-24 21:30:57 UTC
Created attachment 920747 [details]
File: var_log_messages

Comment 12 Miro Hrončok 2014-07-26 12:09:45 UTC
(In reply to Richard Marko from comment #0)
> Description of problem:
> I just finished the reporting :)

Nice description. Now try to tell me what have you been actually doing, right?


Note You need to log in before you can comment on or make changes to this bug.